//#define __STDC_CONSTANT_MACROS
//#define inline _inline
//
//#ifndef INT64_C
//#define INT64_C(c) (c ## LL)
//#define UINT64_C(c) (c ## ULL)
//#endif


#include "stdafx.h"
#include "ffi ffmpeg Interface.h"
#include "decode interface.h"

CMediaInterface s_cMediaInterface;

extern "C" FFMPEGINTERFACE_API int __stdcall FfiOpenFile(const char szFilename[], int* nFileId, 
	int* nWidth, int* nHeight, int* nBufferSize)
{
	return s_cMediaInterface.OpenFile(szFilename, nFileId, nWidth, nHeight, nBufferSize);
}
extern "C" FFMPEGINTERFACE_API bool __stdcall FfiGetNextFrame(int nFileId, unsigned char buffer[])
{
	return s_cMediaInterface.GetNextFrame(nFileId, buffer);
}
extern "C" FFMPEGINTERFACE_API void __stdcall FfiCloseFile(int nFileId)
{
	s_cMediaInterface.CloseFile(nFileId);
}
extern "C" FFMPEGINTERFACE_API int __stdcall FfiGetNumFiles()
{
	return s_cMediaInterface.GetNumFiles();
}
extern "C" FFMPEGINTERFACE_API void __stdcall FfiCloseAllFiles()
{
	s_cMediaInterface.CloseAllFiles();
}